body {
  font-family: sans-serif;
}

b.corneru {
  display: block;
  background-color:#000;
  vertical-align:bottom;
  height: 1px;
  width: 1px;
}

b.corner {
  display: block;
  background-color:green;
  vertical-align:bottom;
  height: 0.3em;
  width: 0.3em;
}

table.master {
  padding:0px;
}

table.master td {
//  border:1px dotted black;
}

table td.xcor { 
  vertical-align:bottom;
}

table.match {
  padding: 0px;
  margin: 0px;
}

table td {
  padding: 0px;
  margin: 0px;
}

table tr.mar {
//  height: 3em;
  height:95px;
}

table td.rowstart {
  color: white;
//  font-size:125%;
}

table td.n {   /* name area in a match.  Player has won last match */
  border-bottom: solid 0.6em;
  border-color:green;
  vertical-align:bottom;
  font-stretch: ultra-condensed;
}

table td.nu {  /* name area in a match.  Player doesn't exist(match */
  border-bottom: dashed 1px;
  vertical-align:bottom;
  font-stretch: ultra-condensed;
}

table td.m {   /* match section.  Won last match */
  border-bottom: solid 0.6em;
  border-color:green;
}

table td.mu {   /* match section.  Doesn't exist. */
  border-bottom: dashed 1px;
}

table td.md {   /* match section.  Won last match */
  border-bottom: solid 0.6em;
  border-color:green;
}

table td.mud {   /* match section.  Doesn't exist. */
  border-bottom: dashed 1px;
}

table td.r1t {  /* top vertical line, top player win. */
  border-left: solid 0.6em;
  border-bottom: solid 0.6em;
  border-color:green;
}

table td.r1b {  /* top vertical line, bottom player win. */
  border-left: dashed 1px;
  border-left-color:black;
  border-bottom: solid 0.6em;
  border-bottom-color:green;
}

table td.r1u {  /* top vertical line, match undetermined */
  border-left: dashed 1px;
  border-bottom: dashed 1px;
}

table td.r2t {  /* bottom vertical line, top player win. */
  border-left: dashed 1px;
}

table td.r2b {  /* bottom vertical line, bottom player win */
  border-left: solid 0.6em;
  border-color:green;
}

table td.r2u {  /* bottom vertical line, mtch underetemind */
  border-left: dashed 1px;
}

table td.x {  // blank display of place
  border-bottom: solid 0.6em;
  border-color: #FFFFFF;
  background-color: #FFFFFF;
  color: blue;
}

